import json
import pandas as pd

from dotenv import load_dotenv
from os import getenv
from sqlalchemy import create_engine

load_dotenv()

def insert(backtest_data: pd.DataFrame):
    backtest_data['Spreads'] = backtest_data['Spreads'].apply(lambda x: json.dumps(x) if isinstance(x, list) else x)
    database_url = (
        f"postgresql+psycopg2://{getenv('DATABASE_USER')}:{getenv('DATABASE_PASSWORD')}"
        f"@{getenv('DATABASE_HOST')}:{getenv('DATABASE_PORT')}/{getenv('DATABASE_NAME')}"
    )
    engine = create_engine(database_url)
    backtest_data.to_sql('Backtest', engine, if_exists='append', index=False, method='multi')