import pandas as pd

from dotenv import load_dotenv
from os import getenv
from sqlalchemy import create_engine

load_dotenv()

def insert(news_data: pd.DataFrame):
    database_url = (
        f"postgresql+psycopg2://{getenv('DATABASE_USER')}:{getenv('DATABASE_PASSWORD')}"
        f"@{getenv('DATABASE_HOST')}:{getenv('DATABASE_PORT')}/{getenv('DATABASE_NAME')}"
    )
    engine = create_engine(database_url)
    news_data.to_sql('News', engine, if_exists='append', index=False, method='multi')