from datetime import datetime
from dotenv import load_dotenv
from os import getenv
from sqlalchemy import create_engine, text
from sqlalchemy.orm import sessionmaker

load_dotenv()

database_url = (
    f"postgresql+psycopg2://{getenv('DATABASE_USER')}:{getenv('DATABASE_PASSWORD')}"
    f"@{getenv('DATABASE_HOST')}:{getenv('DATABASE_PORT')}/{getenv('DATABASE_NAME')}"
)

def backtest_profit(date: datetime = None) -> float:
    with sessionmaker(bind = create_engine(database_url))() as session:
        query = text('SELECT * FROM backtest_profit(:date)')
        result = session.execute(query, {'date': date.date()})
        return float(result.scalar())