from datetime import datetime, time
from dotenv import load_dotenv
from os import getenv
from sqlalchemy import create_engine, text
from sqlalchemy.orm import sessionmaker

load_dotenv()

database_url = (
    f"postgresql+psycopg2://{getenv('DATABASE_USER')}:{getenv('DATABASE_PASSWORD')}"
    f"@{getenv('DATABASE_HOST')}:{getenv('DATABASE_PORT')}/{getenv('DATABASE_NAME')}"
)

def most_recent_trade_date() -> datetime:
    with sessionmaker(bind = create_engine(database_url))() as session:
        query = text('SELECT * FROM most_recent_trade_date()')
        result = session.execute(query)
        return datetime.combine(result.scalar(), time.min)

if __name__ == '__main__':
    print(most_recent_trade_date())